|

Delete data from a business's vault

delete/businesses/{fp_bid}/vault
External ID
Delete the provided Data Identifiers from the business's vault.

Request

Path parameters

fp_bid·

string

Body

delete_all·

optional boolean

When true, deletes all data in the vault.
fields·

optional array of strings

List of data identifiers to delete. For example, business.name, business.website, custom.account_id

Allowed values:

business.namebusiness.dbabusiness.websitebusiness.phone_numberbusiness.tinbusiness.address_line1business.address_line2business.citybusiness.statebusiness.zipbusiness.countrybusiness.corporation_typebusiness.formation_statebusiness.formation_date
custom.*

Response

A key-value map of identifier to whether the identifier was successfully deleted in the business vault
<key>·

string

Allowed values:

business.namebusiness.dbabusiness.websitebusiness.phone_numberbusiness.tinbusiness.address_line1business.address_line2business.citybusiness.statebusiness.zipbusiness.countrybusiness.corporation_typebusiness.formation_statebusiness.formation_date
custom.*
<value>·

boolean

DELETE /businesses/{fp_bid}/vault
1curl -X DELETE https://api.onefootprint.com/businesses/{fp_bid}/vault \
2  -u sk_test_xxxxx: \
3  -d '{
4    "fields": [
5      "business.name",
6      "business.website"
7    ]
8  }'
Response example
{
  "business.name": true,
  "custom.account_id": false
}